
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Deque;
import java.util.LinkedList;

public class Task3
{
	public static void main(String[] args) throws IOException
	{
		// načítání
		System.setIn(Files.newInputStream(Paths.get("seq.txt")));
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
//		System.setOut(new PrintStream(Files.newOutputStream(Paths.get("task3.out"))));

		// create the stack
		MyStack deq = new MyStack();

		String line;
		while ((line = br.readLine()) != null)
		{
			if (line.startsWith("insert "))
				deq.insert(Integer.parseInt(line.substring(7)));
			else
				System.out.println(deq.remove());
		}
	}
}

class MyStack
{
	// number of lines in input file is 2000, but array should normally grow
	private final int[] arr = new int[2000];
	private int length = 0;

	public void insert(int i)
	{
		arr[length] = i;
		length++;
	}

	public int remove()
	{
		// normally we would have to check the length and throw exception
		length--;
		return arr[length];
	}
}
