
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.Deque;
import java.util.LinkedList;

public class Task5
{
	public static void main(String[] args) throws IOException
	{
		// načítání
		System.setIn(Files.newInputStream(Paths.get("seq.txt")));
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
//		System.setOut(new PrintStream(Files.newOutputStream(Paths.get("task5.out"))));
		
		// create the queue
		Deque<Integer> deq = new LinkedList<>();
		
		String line;
		while((line = br.readLine()) != null) {
			if(line.startsWith("insert "))
				deq.addLast(Integer.parseInt(line.substring(7)));
			else
				System.out.println(deq.removeFirst());
		}
	}
}

class MyQueue {
	// number of lines in input file is 2000, but array should normally grow
	private final int[] arr = new int[2000];
	private int end = 0;
	private int start = 0;
	
	public void insert(int i) {
		arr[end] = i;
		end++;
	}
	
	public int remove() {
		// normally we would have to check the end and throw exception if start > end
		// we can leave it as homework for you
		return arr[start++];
	}
}