
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.PriorityQueue;

public class Task13
{
	public static void main(String[] args) throws IOException
	{
		// načítání
		System.setIn(Files.newInputStream(Paths.get("seq.txt")));
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
//		System.setOut(new PrintStream(Files.newOutputStream(Paths.get("task13.out"))));
		
		// create the stack
		PriorityQueue<Integer> deq = new PriorityQueue<>();
		
		String line;
		while((line = br.readLine()) != null) {
			if(line.startsWith("insert "))
				deq.add(Integer.parseInt(line.substring(7)));
			else
				System.out.println(deq.remove());
		}
	}
}

class MyPQ {
	private final int[] arr = new int[2000];
	int length = 0;
	
	public void add(int i) {
		arr[length] = i;
		length++;
	}
	
	public int remove() {
		// again, we should check whether there are some elements and return min
		
		// find min
		int minI = 0;
		for(int i = 1; i < length; i++)
			if(arr[i] < arr[minI])
				minI = i;
		
		int swp = arr[minI];
		arr[minI] = arr[length];
		length--;
		return swp;
	}
}